Bug 450447 - Mouse scroll wheel stops working after computer is idle
Mouse scroll wheel stops working after computer is idle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 11:52 EDT by Jarrod Hyder
Modified: 2009-07-14 14:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:09:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.91 KB, text/plain)
2008-06-09 21:40 EDT, Jarrod Hyder
no flags Details
Xorg.log (13.19 KB, text/plain)
2008-06-09 21:42 EDT, Jarrod Hyder
no flags Details

  None (edit)
Description Jarrod Hyder 2008-06-08 11:52:21 EDT
Description of problem:
The mouse scroll wheel works perfectly fine when the computer is first booted
into Fedora 9. After a long period of inactivity on the computer (about 1 hour)
the scroll wheel completely stops working. The only way to resolve this problem
is to reboot the computer.


Version-Release number of selected component (if applicable):
kernel-2.6.25-14.fc9.i686
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
kde 4.0.4

How reproducible:
Follow steps below...

Steps to Reproduce:
1.Boot computer.
2.Leave computer idle for an hour or more.
3.Open a browser window or any other application that uses the scroll wheel and
you will see that it no longer works.
  
Actual results:
Scroll wheel stops working after about an hour of inactivity.

Expected results:
Scroll wheel should never stop working.

Additional info:
The computer setup I am using has never had problems with the scroll wheel on
Fedora 7, Fedora 8 or Kubuntu 8.04. This problem is very specific to Fedora 9. I
originally upgraded from Fedora 8 to Fedora 9...when I noticed the mouse problem
and couldn't find a solution I reinstalled Fedora 9 only to find that the
problem was still there. I have tried this with open source X drivers and
proprietary drivers with the same results. I also rolled back to the Fedora 8
version of Xorg and still experienced the same problem.

My computer is a Gateway GM5260 and I am using a Logitech LX7 wireless optical
mouse. I am also using a Belkin OmniCube 2 port KVM switch and dual Sceptre 19"
LCDs.
Comment 1 Matěj Cepl 2008-06-09 17:15:21 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jarrod Hyder 2008-06-09 21:40:53 EDT
Created attachment 308761 [details]
xorg.conf
Comment 3 Jarrod Hyder 2008-06-09 21:42:17 EDT
Created attachment 308762 [details]
Xorg.log
Comment 4 Bug Zapper 2009-06-09 21:28:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 14:09:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.